package edu.fu_tdg.lodib.test;

import java.io.File;

import edu.fu_tdg.lodib.mapping.DataTranslator;
import edu.fu_tdg.lodib.mapping.sparql.factory.TechnologyType;
import edu.fu_tdg.lodib.rdf_generator.RDFGeneratorException;

public class TranslatorTest {
	/**
	 * @param args
	 * @throws RDFGeneratorException 
	 */
	public static void main(String[] args) throws Exception {
		File tempFile = new File("tmp");
		DataTranslator dt = new DataTranslator();
		dt.performDataTranslation(
				new File("conf/mapping/Source2-Target.xml"), 
				new File("source2.nt"), tempFile, new File("target2.nt"),
				TechnologyType.JENA);
				
		tempFile.delete();
	}
}
